> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a persona



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /persona/{id}
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /persona/{id}:
    get:
      tags:
        - Persona
      summary: Get a persona
      parameters:
        - name: id
          in: path
          description: The ID of the persona to get.
          required: true
          style: simple
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PersonaDto'
            application/json:
              schema:
                $ref: '#/components/schemas/PersonaDto'
            text/json:
              schema:
                $ref: '#/components/schemas/PersonaDto'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    PersonaDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        agencyId:
          type: string
          nullable: true
        personaName:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        color:
          type: string
          nullable: true
        imageUri:
          type: string
          nullable: true
        voiceStyles:
          type: string
          nullable: true
        howToRespond:
          type: string
          nullable: true
        typoPercent:
          type: integer
          format: int32
        breakupLargeMessagePercent:
          type: integer
          format: int32
        responseTime:
          type: string
          nullable: true
        responseDelay:
          type: integer
          format: int32
        modifiedAt:
          type: string
          nullable: true
        modifiedBy:
          type: string
          nullable: true
        aiProviderPreferences:
          type: array
          items:
            type: string
          nullable: true
        folderId:
          type: string
          nullable: true
        botIds:
          type: array
          items:
            type: string
          nullable: true
        bots:
          type: array
          items:
            $ref: '#/components/schemas/BotPersonaDto'
          nullable: true
        favorited:
          type: boolean
        default:
          type: boolean
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    BotPersonaDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        id:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````